Package org.htmlunit.html

# Enum Class FrameWindow.PageDenied

java.lang.Object
java.lang.Enum<FrameWindow.PageDenied>
org.htmlunit.html.FrameWindow.PageDenied

All Implemented Interfaces:
  `Serializable`, `Comparable<FrameWindow.PageDenied>`, `Constable`

Enclosing class:
  `FrameWindow`

public static enum FrameWindow.PageDenied extends Enum<FrameWindow.PageDenied>
The different deny states.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BY_CONTENT_SECURIRY_POLICY`
  BY_CONTENT_SECURIRY_POLICY.
  `BY_X_FRAME_OPTIONS`
  BY_X_FRAME_OPTIONS.
  `NONE`
  NONE.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FrameWindow.PageDenied`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FrameWindow.PageDenied[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final FrameWindow.PageDenied NONE
    NONE.

  - ### BY_X_FRAME_OPTIONS

    public static final FrameWindow.PageDenied BY_X_FRAME_OPTIONS
    BY_X_FRAME_OPTIONS.

  - ### BY_CONTENT_SECURIRY_POLICY

    public static final FrameWindow.PageDenied BY_CONTENT_SECURIRY_POLICY
    BY_CONTENT_SECURIRY_POLICY.

- ## Method Details

  - ### values

    public static FrameWindow.PageDenied[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FrameWindow.PageDenied valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null